# this package currently doesn`t compile with ccuxbuild and I
# can`t find the reason why
# sipQtGuiQPictureIO.o: file not recognized: File truncated

#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	PyQt

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-pyqt
Version:	4.8.2
Release:	1
License:	GNU/GPL
URL:		http://www.riverbankcomputing.co.uk/pyqt/
Group:		Development/Python
Source0:	PyQt-x11-gpl-%{version}.tar.gz
Patch0:		PyQt-4.6.1-QT_SHARED.patch
Patch2:		PyQt-x11-gpl-4.5.1-pyuic_shebang.patch
Patch3:		PyQt-4.7-python26.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	PyQt4 is a set of Python bindings for version 4 of the Qt toolkit.
Requires:	python%{PVER}
Requires:	python%{PVER}-sip

BuildRequires:	pulseaudio-libs-devel
BuildRequires:  pulseaudio-libs
BuildRequires:  pulseaudio

BuildRequires:	python26
BuildRequires:	python26-devel
BuildRequires:	python26-sip-devel
BuildRequires:	python26-pygobject
BuildRequires:	python26-pygobject-devel
BuildRequires:	qt4-devel >= 1:4.6.3-2
BuildRequires:	libXinerama-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXrender-devel 
BuildRequires:	libSM-devel
BuildRequires:	libX11-devel
BuildRequires:	libXcursor-devel
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXi-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	libpng-devel
BuildRequires:	chrpath
BuildRequires:	phonon-devel
BuildRequires:	glib-devel

Provides:	PyQt4 = %{version}-%{release}
Obsoletes:	PyQt4 <= %{version}-%{release}
Obsoletes:	PyQt4-doc
Obsoletes:	python25-PyQt <= %{version}-%{release}
# Old PyQT (3.x)
Obsoletes:	PyQt <= %{version}-%{release}
Obsoletes:	PyQt-examples <= %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: dbus
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

# prevent propietary libGL from being drawn in the hard way
#BuildConflicts: dkms-fglrx-x11-drv
#BuildConflicts: dkms-nvidia-x11-drv
#BuildConflicts: dkms-nvidia-legacy-x11-drv
#BuildConflicts: dkms-nvidia-legacy96xx-x11-drv

%description
PyQt4 is a set of Python bindings for version 4 of the Qt toolkit.

%package	devel
Summary:	Files needed to build other bindings based on Qt4
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}
Requires:	qt4-devel
Requires:	python%{PVER}-sip-devel
Provides:	PyQt4-devel = %{version}-%{release}
Obsoletes:	PyQt4-devel <= %{version}-%{release}
Obsoletes:	python25-PyQt-devel <= %{version}-%{release}
# Old PyQt (3.x)
Obsoletes:	PyQt-devel <= %{version}-%{release}

%description	devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt4 classes (e.g. KDE or your own).

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n PyQt-x11-gpl-%{version}
%patch0 -p1 
#%patch2 -p1
#%patch3 -p1

## permissions
# mark examples non-executable
find examples/ -name "*.py" | xargs chmod a-x
chmod a+rx pyuic/uic/pyuic.py

%build
QT4DIR=%{_qt4_prefix}
PATH=%{_qt4_bindir}:$PATH ; export PATH

%{__python} configure.py \
  --confirm-license \
  --qmake=%{_qt4_qmake} \
  --verbose

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

# fix/remove rpaths
#chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtCore.so
#chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtCore.so

#chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtGui.so
#chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtGui.so

#chrpath --list   %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so
#chrpath --delete %{buildroot}%{python_sitearch}/PyQt4/QtDesigner.so

#chrpath --list   %{buildroot}%{python_sitelib}/dbus/mainloop/qt.so
#chrpath --delete %{buildroot}%{python_sitelib}/dbus/mainloop/qt.so

# HACK: fix multilb conflict, http://bugzilla.redhat.com/509415
rm -fv %{buildroot}%{_bindir}/pyuic4
mv %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py \
   %{buildroot}%{_bindir}/pyuic4
ln -s %{_bindir}/pyuic4 \
      %{buildroot}%{python_sitearch}/PyQt4/uic/pyuic.py

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%check
# verify phonon built ok
test -f %{buildroot}%{python_sitearch}/PyQt4/phonon.so
test -d %{buildroot}%{_datadir}/sip/PyQt4/phonon

%files
%defattr(-,root,root,-)
%doc NEWS README
%doc OPENSOURCE-NOTICE.TXT
%doc LICENSE.GPL2 GPL_EXCEPTION*.TXT
%doc LICENSE.GPL3
%{python_sitearch}/PyQt4
#%{python_sitearch}/dbus/mainloop/qt.so
#%{_libdir}/qt4/qsci/api/python/PyQt4.api

%files devel
%defattr(-,root,root,-)
%doc doc/*
%doc examples/
%_bindir/pylupdate4
%_bindir/pyrcc4
%_bindir/pyuic4
%_datadir/sip/PyQt4/
%{_qt4_plugindir}/designer/libpythonplugin.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.8.2-1
- Version update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.7-2
- added patch to fix sip compilation in kdebindings-python
* Tue Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.7-1
- Version update
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7.3-1
- Version update
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.7-1
- Version update
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.2-1
- Version update
* Fri Nov 13 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.1-2
- rebuild against python26-2.6.3-1
* Sun Oct 25 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.1-1
- Version update, build against python25-2.5.4-3
* Thu Jun 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version update
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.4-2
- rebuilt with exolicit /usr/bin/python2.5
* Sun Dec 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version update
* Thu Jun 19 2008 Christian Metzen <metzench@ccux-linux.de> 4.4.2-1
- Version update
* Fri Oct 05 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.3.1-1
- Version update
* Sun Jan 14 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.1.1-1
- Version update
* Tue Jul 11 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 4.0-1
- Initial Release
